View Issue Details

IDProjectCategoryView StatusLast Update
0021914mantisbtperformancepublic2017-09-28 02:29
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.3 
Target Version1.3.4Fixed in Version1.3.4 
Summary0021914: tags column in view-all page issues one query for each bug row
Description

for each bug showed, there is a query to get the tags attached to that bug id.

This could be optimized to get all the tags, for all bugs, with one query.

TagsNo tags attached.

Relationships

related to 0022074 closedcproensa System notice when detaching tags 

Related Changesets

MantisBT: master-1.3.x 4add3ac5

2016-11-13 20:16:02

cproensa


Committer: dregad Details Diff
Implement bug tags association cache

Implement a method to cache the tags associated to bugs.
Reduces the number of executed database queries by loading and reusing
all needed values for several bugs.

Fixes: 0021914
mod - core/bug_api.php Diff File
mod - core/tag_api.php Diff File
mod - tag_delete.php Diff File
mod - tag_update.php Diff File
mod - tag_update_page.php Diff File
mod - tag_view_page.php Diff File

MantisBT: master-1.3.x 31385f2f

2016-11-26 04:40:59

dregad

Details Diff
Bug cache performance improvements

Merge of PR https://github.com/mantisbt/mantisbt/pull/948

Fixes 0021900, 0021914
mod - bug_view_inc.php Diff File
mod - core/bug_api.php Diff File
mod - core/classes/MantisColumn.class.php Diff File
mod - core/custom_field_api.php Diff File
mod - core/tag_api.php Diff File
mod - core/user_api.php Diff File
mod - csv_export.php Diff File
mod - excel_xml_export.php Diff File
mod - my_view_inc.php Diff File
mod - tag_delete.php Diff File
mod - tag_update.php Diff File
mod - tag_update_page.php Diff File
mod - tag_view_page.php Diff File

MantisBT: master 6b0df308

2017-09-18 19:24:18

cproensa


Committer: dregad Details Diff
Fix comparing to null from db result

Oracle returns nulls as ''.
Change the check for an empty tags result.

Fixes PR 1154
Related issue: 0021914
mod - core/tag_api.php Diff File

Issue History

Date Modified Username Field Change
2016-11-13 17:40 cproensa New Issue
2016-11-14 18:47 cproensa Assigned To => cproensa
2016-11-14 18:47 cproensa Status new => assigned
2016-11-14 18:47 cproensa Note Added: 0054526
2016-11-26 04:42 dregad Changeset attached => MantisBT master-1.3.x 4add3ac5
2016-11-26 04:42 dregad Changeset attached => MantisBT master-1.3.x 31385f2f
2016-11-26 04:42 dregad Assigned To cproensa => dregad
2016-11-26 04:42 dregad Status assigned => resolved
2016-11-26 04:42 dregad Resolution open => fixed
2016-11-26 04:42 dregad Fixed in Version => 1.3.4
2016-11-26 04:46 dregad Assigned To dregad => cproensa
2016-11-26 04:46 dregad Target Version => 1.3.4
2016-11-27 00:45 vboctor Status resolved => closed
2016-12-26 11:36 atrol Relationship added related to 0022074
2017-09-28 02:29 dregad Changeset attached => MantisBT master 6b0df308